Track transaction by reference
curl --request GET \
--url https://api.dev.monei.cc/api/v1/offramp/ledger/status/{reference} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.dev.monei.cc/api/v1/offramp/ledger/status/{reference}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.dev.monei.cc/api/v1/offramp/ledger/status/{reference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"internalReference": "OFF-A1B2C3D4",
"provider": "monirates",
"providerTransactionId": "68ee3a94c05777e37c10b3c1",
"status": "processing",
"cryptoAmount": 100,
"fiatAmount": 145800,
"exchangeRate": 1458,
"fromCurrency": "USDT",
"toCurrency": "NGN",
"createdAt": "2025-10-14T11:57:08.122Z",
"updatedAt": "2025-10-14T11:57:09.065Z",
"expiresAt": "2025-10-14T12:27:08.122Z",
"providerStatus": "PROCESSING",
"fees": {
"providerFee": 0.01,
"networkFee": 0.0015,
"serviceFee": 0.005
},
"debitPaymentDetails": {
"paymentMethod": "STABLE_CURRENCY",
"currency": "USDT",
"network": "BEP20",
"walletAddress": "0x5860a46314c08be9fdFBE7fF3ce9604dC59551D1"
},
"creditPaymentDetails": {
"paymentMethod": "BANK_TRANSFER",
"currency": "NGN",
"accountName": "John Doe",
"accountNumber": "0115847370",
"bankCode": "999240"
},
"completedAt": "2025-10-14T12:00:00.000Z"
}Offramp | Ledger
Track transaction by reference
GET
/
api
/
v1
/
offramp
/
ledger
/
status
/
{reference}
Track transaction by reference
Authorizations
Path Parameters
Example:
"OFF-A1B2C"
Response
200 - application/json
Transaction ID
Example:
"123e4567-e89b-12d3-a456-426614174000"
Internal reference number
Example:
"OFF-A1B2C3D4"
Exchange provider
Available options:
monirates, bitnob, paycrest Example:
"monirates"
Provider transaction ID
Example:
"68ee3a94c05777e37c10b3c1"
Current transaction status
Available options:
initiated, quote_created, awaiting_deposit, deposit_received, pending, processing, fiat_sent, completed, failed, cancelled, refunded Example:
"processing"
Cryptocurrency amount
Example:
100
Fiat currency amount
Example:
145800
Exchange rate applied
Example:
1458
From currency
Example:
"USDT"
To currency
Example:
"NGN"
Transaction creation timestamp
Example:
"2025-10-14T11:57:08.122Z"
Transaction last update timestamp
Example:
"2025-10-14T11:57:09.065Z"
Transaction expiry timestamp
Example:
"2025-10-14T12:27:08.122Z"
Provider status
Example:
"PROCESSING"
Transaction fees
Example:
{
"providerFee": 0.01,
"networkFee": 0.0015,
"serviceFee": 0.005
}
Debit payment details
Example:
{
"paymentMethod": "STABLE_CURRENCY",
"currency": "USDT",
"network": "BEP20",
"walletAddress": "0x5860a46314c08be9fdFBE7fF3ce9604dC59551D1"
}
Credit payment details
Example:
{
"paymentMethod": "BANK_TRANSFER",
"currency": "NGN",
"accountName": "John Doe",
"accountNumber": "0115847370",
"bankCode": "999240"
}
Transaction completion timestamp
Example:
"2025-10-14T12:00:00.000Z"

